# Interface CookieSource

All Known Implementing Classes:
  `WebResponse`

public interface CookieSource
This interface represents a source from which to parse out cookies.

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getHeaderFields(String fieldName)`
Returns the values for the specified header field.
`URL`
`getURL()`
Returns the URL which invoked this response.

## Method Details

### getURL

URL getURL()
Returns the URL which invoked this response.

### getHeaderFields

String[] getHeaderFields(String fieldName)
Returns the values for the specified header field. If no such field is defined, will return an empty array.